> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Create a workflow POST https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/workflows Content-Type: application/vnd.contentful.management.v1+json Creates a workflow for an entry. Any user with read access to the entry can create a workflow. Reference: https://contentful.com/developers/docs/references/content-management-api/workflows/create-a-workflow ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `space_id` (string, required) — space_id identifier - `environment_id` (string, required) — environment_id identifier ### Body (application/vnd.contentful.management.v1+json) This endpoint expects a map from string to any. - `map from string to any` ## Response ### 201 Created - Resource created successfully - `map from string to any` ## Examples ### Create a standard workflow **Request** ```json { "entity": { "sys": { "id": "5KsDBWseXY6QegucYAoacS", "linkType": "Entry", "type": "Link" } }, "stepId": "someStepId", "workflowDefinition": { "sys": { "id": "someWorkflowDefinitionId", "linkType": "WorkflowDefinition", "type": "Link" } } } ``` **Response** ```json { "stepId": "someStepId", "sys": { "createdAt": "2025-05-01T01:04:58.000Z", "createdBy": { "sys": { "id": "99SummRPRBowauM8T5Ljb34", "linkType": "AppDefinition", "type": "Link" } }, "entity": { "sys": { "id": "5KsDBWseXY6QegucYAoacS", "linkType": "Entry", "type": "Link" } }, "environment": { "sys": { "id": "staging", "linkType": "Environment", "type": "Link" } }, "id": "someWorkflowId", "space": { "sys": { "id": "yadj1kx9rmg0", "linkType": "Space", "type": "Link" } }, "type": "Workflow", "updatedAt": "2025-05-01T01:04:58.000Z", "updatedBy": { "sys": { "id": "1xGZIRXr2WPnsLkKfREo0z", "linkType": "User", "type": "Link" } }, "version": 1, "workflowDefinition": { "sys": { "id": "pfjbpijbJJBNv6Jgj", "linkType": "WorkflowDefinition", "type": "Link" } } } } ``` **SDK Code** ```android Android SDK currently doesn't implement this endpoint. ``` ```java Java SDK currently doesn't implement this endpoint. ``` ```kotlin Kotlin SDK currently doesn't implement this endpoint. ``` ```swift Swift We currently don't provide a CMA SDK for this platform. ``` ```js-legacy JavaScript (legacy) SDK currently doesn't implement this endpoint. ``` ```javascript JavaScript import { createClient } from 'contentful-management' // Client init const client = contentful.createClient({ accessToken: '' }) const workflow = await client.workflow.create({ spaceId: '', environmentId: '', }, { entity: { sys: { type: 'Link', linkType: 'Entry', id: '' } }, workflowDefinition: { sys: { type: 'Link', linkType: 'WorkflowDefinition', id: } } }); ``` ```php PHP SDK currently doesn't implement this endpoint. ``` ```ruby Ruby SDK currently doesn't implement this endpoint. ``` ```python Python SDK currently doesn't implement this endpoint. ``` ```.net .NET SDK currently doesn't implement this endpoint. ``` ### Create a localized workflow instance **Request** ```json { "entity": { "sys": { "id": "blog-post-entry-id", "linkType": "Entry", "type": "Link" } }, "stepId": "workflow-step-id", "variableValuePresets": { "sys": { "id": "german-preset-id", "linkType": "WorkflowVariableValuePreset", "type": "Link" } }, "workflowDefinition": { "sys": { "id": "workflow-definition-id", "linkType": "WorkflowDefinition", "type": "Link" } } } ``` **Response** ```json { "entity": { "sys": { "id": "blog-post-entry-id", "linkType": "Entry", "type": "Link" } }, "stepId": "workflow-step-id", "sys": { "createdAt": "2025-07-03T21:06:13.000Z", "createdBy": { "sys": { "id": "1xGZIRXr2WPnsLkKfREo0z", "linkType": "User", "type": "Link" } }, "environment": { "sys": { "id": "staging", "linkType": "Environment", "type": "Link" } }, "id": "someWorkflowId", "space": { "sys": { "id": "yadj1kx9rmg0", "linkType": "Space", "type": "Link" } }, "type": "Workflow", "updatedAt": "2025-07-03T21:06:13.000Z", "updatedBy": { "sys": { "id": "1xGZIRXr2WPnsLkKfREo0z", "linkType": "User", "type": "Link" } }, "version": 1 }, "variableValuePresets": { "sys": { "id": "german-preset-id", "linkType": "WorkflowVariableValuePreset", "type": "Link" } }, "workflowDefinition": { "sys": { "id": "workflow-definition-id", "linkType": "WorkflowDefinition", "type": "Link" } } } ``` **SDK Code** ```android Android SDK currently doesn't implement this endpoint. ``` ```java Java SDK currently doesn't implement this endpoint. ``` ```kotlin Kotlin SDK currently doesn't implement this endpoint. ``` ```swift Swift We currently don't provide a CMA SDK for this platform. ``` ```js-legacy JavaScript (legacy) SDK currently doesn't implement this endpoint. ``` ```javascript JavaScript import { createClient } from 'contentful-management' // Client init const client = contentful.createClient({ accessToken: '' }) const workflow = await client.workflow.create({ spaceId: '', environmentId: '', }, { entity: { sys: { type: 'Link', linkType: 'Entry', id: '' } }, workflowDefinition: { sys: { type: 'Link', linkType: 'WorkflowDefinition', id: } } }); ``` ```php PHP SDK currently doesn't implement this endpoint. ``` ```ruby Ruby SDK currently doesn't implement this endpoint. ``` ```python Python SDK currently doesn't implement this endpoint. ``` ```.net .NET SDK currently doesn't implement this endpoint. ```